# main.cpp File Reference

Template File. More...

`#include "main.h"`
`#include "action.h"`
`#include <synfig/color.h>`
`#include <synfig/gradient.h>`
`#include <ETL/trivial>`
`#include <list>`
`#include "general.h"`

## Functions

static etl::reference_counter | synfigapp_ref_count_ (0)

## Variables

static synfigapp::Action::Main * | action_main
static Color | outline_
static Color | fill_
static Gradient | gradient_
static bool | gradient_default_colors_
static synfig::Distance | bline_width_
static Color::BlendMethod | blend_method_
static Real | opacity_
static synfigapp::InputDevice::Handle | selected_input_device_
static list < synfigapp::InputDevice::Handle > | input_devices_
trivial< sigc::signal< void > > | signal_outline_color_changed_
trivial< sigc::signal< void > > | signal_fill_color_changed_
trivial< sigc::signal< void > > | signal_gradient_changed_
trivial< sigc::signal< void > > | signal_bline_width_changed_
trivial< sigc::signal< void > > | signal_blend_method_changed_
trivial< sigc::signal< void > > | signal_opacity_changed_
trivial< sigc::signal< void > > | signal_interpolation_changed_
trivial< Settings > | settings_
static synfig::Waypoint::Interpolation | interpolation_

## Detailed Description

Template File.

$Id$

## Function Documentation

static etl::reference_counter synfigapp_ref_count_ | ( | 0 |  | ) | `[static]`

Referenced by synfigapp::Main::Main(), and synfigapp::Main::~Main().

## Variable Documentation

synfigapp::Action::Main* action_main `[static]`

Color outline_ `[static]`

Referenced by synfigapp::Main::color_swap(), synfigapp::Main::get_outline_color(), synfigapp::Main::set_fill_color(), synfigapp::Main::set_gradient_default_colors(), and synfigapp::Main::set_outline_color().

Color fill_ `[static]`

Referenced by synfigapp::Main::color_swap(), synfigapp::Main::get_fill_color(), synfigapp::Main::set_fill_color(), synfigapp::Main::set_gradient_default_colors(), and synfigapp::Main::set_outline_color().

Gradient gradient_ `[static]`

Referenced by synfigapp::Main::color_swap(), synfigapp::Main::get_gradient(), synfigapp::Main::set_fill_color(), synfigapp::Main::set_gradient(), synfigapp::Main::set_gradient_default_colors(), and synfigapp::Main::set_outline_color().

bool gradient_default_colors_ `[static]`

Referenced by synfigapp::Main::color_swap(), synfigapp::Main::set_fill_color(), synfigapp::Main::set_gradient(), synfigapp::Main::set_gradient_default_colors(), and synfigapp::Main::set_outline_color().

synfig::Distance bline_width_ `[static]`

Referenced by synfigapp::Main::get_bline_width(), and synfigapp::Main::set_bline_width().

Color::BlendMethod blend_method_ `[static]`

Referenced by synfigapp::Main::get_blend_method(), and synfigapp::Main::set_blend_method().

Real opacity_ `[static]`

Referenced by synfigapp::Main::get_opacity(), and synfigapp::Main::set_opacity().

synfigapp::InputDevice::Handle selected_input_device_ `[static]`

Referenced by synfigapp::Main::color_swap(), synfigapp::Main::get_selected_input_device(), synfigapp::Main::select_input_device(), synfigapp::Main::set_blend_method(), synfigapp::Main::set_bline_width(), synfigapp::Main::set_fill_color(), synfigapp::Main::set_opacity(), synfigapp::Main::set_outline_color(), synfigapp::Main::set_state(), and synfigapp::Main::~Main().

list<synfigapp::InputDevice::Handle> input_devices_ `[static]`

Referenced by synfigapp::Main::add_input_device(), synfigapp::Main::find_input_device(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_outline_color_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_outline_color_changed(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_fill_color_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_fill_color_changed(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_gradient_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_gradient_changed(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_bline_width_changed_

Referenced by synfigapp::Main::signal_bline_width_changed().

trivial<sigc::signal<void> > signal_blend_method_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_blend_method_changed(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_opacity_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_opacity_changed(), and synfigapp::Main::~Main().

trivial<sigc::signal<void> > signal_interpolation_changed_

Referenced by synfigapp::Main::Main(), synfigapp::Main::signal_interpolation_changed(), and synfigapp::Main::~Main().

trivial<Settings> settings_

Referenced by synfigapp::Main::Main(), synfigapp::Main::settings(), and synfigapp::Main::~Main().

synfig::Waypoint::Interpolation interpolation_ `[static]`

Referenced by synfigapp::Main::get_interpolation(), and synfigapp::Main::set_interpolation().